{if !empty($featured_companies)}
	<div class="ia-items yellowpages-latest-pages">
		{foreach $featured_companies as $page}
			<div class="media ia-item ia-item-bordered-bottom">

				<a class="pull-left" href="{ia_url item='ypages' type='url' data=$page}">
					{printImage imgfile=$page.image.path|default:'' width=120 title=$page.title class='media-object'}
				</a>

				<div class="media-body">
					{ia_hooker name='smartyItemBlockBeforeTitle'}		
					<h5 class="media-heading">{ia_url type='link' item='ypages' data=$page text=$page.title}</h5>
					<p class="ia-item-date">
						<i class="icon-map-marker"></i> {$page.address},
						{ia_url item='ylocs' type='link' data=$page text=$page.location}
						{if !empty($page.zipcode)}, {$page.zipcode}{/if}
					</p>
					<p class="ia-item-date">{$page.description|truncate:200:'...'}</p>
					<p class="ia-item-date"><i class="icon-phone"></i> {$page.phone}</p>
				</div>
			</div>
		{/foreach}
	</div>
{/if}