<div class="yp-search-companies">
	<form action="{$smarty.const.IA_URL}search/companies/" method="get" class="form-inline ia-form">
		<div class="row-fluid">
			<div class="span5">
				<label for="search_key">{lang key='search'}:</label>
				<input class="input-block-level" type="text" name="search" id="search_key" value="{$yp_search_info.term}">
				<div class="yp-search-companies__phrase">{lang key='breez_example'}</div>
			</div>
			<div class="span5">
				<label for="search_loc">{lang key='in'}:</label>
				<input class="input-block-level" type="text" name="loc" id="search_loc" autocomplete="off" value="{$yp_search_info.location}" data-location="{$yp_search_info.location}">
			</div>
			<div class="span2">
				<button type="submit" class="btn btn-primary btn-block"><i class="icon-search icon-white"></i> {lang key='search'} </button>
				<div class="yp-search-companies__link">
					<a href="{$packages.yellowpages.url|cat:'advsearch/'}" class="yp-search-companies__link">Advanced Search</a>
				</div>
			</div>
		</div>
	</form>
</div>

{ia_add_js}
$(function()
{
	$('#search_loc')
	.typeahead(
	{
		source: function(query, process)
		{
			listings = { };

			return $.ajax(
			{
				url: intelli.config.ia_url + 'search/companies/read.json',
				type: 'get',
				dataType: 'json',
				displayField: 'title',
				data: { action: 'autocomplete', q: query },
				success: function(data)
				{
					var display = [];

					$.each(data, function (i, listing)
					{
						listings[listing.title] = listing;
						display.push(listing.title);
					});

					return process(display);
				}
			});
		}
	})
	.on('blur', function(e)
	{
		var $this = $(this);
		$this.val() || $this.val($this.data('location'));
	});
});
{/ia_add_js}