<div class="media ia-item ia-item-bordered {$company.status}{if $company.featured} ia-item-featured{/if}{if $company.sponsored} ia-item-sponsored{/if}" id="tdlisting{$company.id}">
	{if $company.featured}<span class="ia-badge ia-badge-featured" title="{lang key='featured'}"><i class="icon-star"></i></span>{/if}
	{if $company.sponsored}<span class="ia-badge ia-badge-sponsored" title="{lang key='sponsored'}"><i class="icon-dollar"></i></span>{/if}

	{if $member && $member.id == $company.member_id && $company.status != 'active'}
		<span class="ia-badge ia-badge-{$company.status}" title="{lang key=$company.status default=$company.status}"><i class="icon-warning-sign"></i></span>
	{/if}

	<a class="pull-left" href="{ia_url item='ypages' type='url' data=$company}">
		{printImage imgfile=$company.image.path|default:'' width=150 title=$company.title class='media-object'}
	</a>

	<div class="media-body">
		<h3 class="media-heading">
			{ia_url item='ypages' type='link' data=$company text=$company.title}
		</h3>

		<ul class="ia-list-items">
			{ia_hooker name='smartyItemListAfterTitle'}

			{if !empty($company.address)}<li><i class="icon-map-marker"></i> {$company.address}</li>{/if}
			{if !empty($company.description)}<li>{$company.description|truncate:200:'...'}</li>{/if}
			{if !empty($company.phone)}<li><i class="icon-phone"></i> {$company.phone}</li>{/if}

			{if !empty($company.url)}
				{assign var='url' value='|'|explode:$company.url}
				<li><i class="icon-external-link"></i> <a href="{$url[0]}">{$url[1]}</a></li>
			{/if}
		</ul>

		{ia_hooker name='smartyItemListBeforeInfoPost'}
	</div>

	<div class="ia-item-panel">
		{if 'ypages_home' != $pageName && isset($company.category_title) && '' != $company.category_title}
			<span class="panel-item pull-left"><i class="icon-folder-open"></i> {ia_url item='ycategs' type='link' data=$company text=$company.category_title action='view'}</span>
		{/if}

		<span class="panel-item pull-left">
			<i class="icon-map-marker"></i>
			{ia_url item='ylocs' type='link' data=$company text=$company.location}
		</span>

		{accountActions item=$company itemtype='ypages' classname='btn-info pull-right'}
		{printFavorites item=$company itemtype='ypages' classname='btn-info pull-right'}
		{ia_url type='icon' item='ypages' data=$company classname='btn-info pull-right'}
	</div>
</div>